import sqlite3

npc_db = sqlite3.connect("../npc_db")
cur = npc_db.cursor()

print("Creating database.")
cur.execute("CREATE TABLE IF NOT EXISTS `npc_alignment` ( `alignment` TEXT NOT NULL UNIQUE, PRIMARY KEY(`alignment`) )")
cur.execute("CREATE TABLE IF NOT EXISTS 'npc_clothing' ( `clothing` TEXT NOT NULL UNIQUE, PRIMARY KEY(`clothing`) )")
cur.execute("CREATE TABLE IF NOT EXISTS `npc_ear` ( `ear` TEXT NOT NULL, `race` TEXT NOT NULL, PRIMARY KEY(`ear`,`race`) )")
cur.execute("CREATE TABLE IF NOT EXISTS `npc_eye_color` ( `eye_color` TEXT NOT NULL UNIQUE, PRIMARY KEY(`eye_color`) )")
cur.execute("CREATE TABLE IF NOT EXISTS `npc_eye_shape` ( `eye_shape` TEXT NOT NULL, PRIMARY KEY(`eye_shape`) )")
cur.execute("CREATE TABLE IF NOT EXISTS `npc_face_shape` ( `face_shape` TEXT NOT NULL, PRIMARY KEY(`face_shape`) )")
cur.execute("CREATE TABLE IF NOT EXISTS `npc_facial_hair` ( `facial_hair` TEXT NOT NULL, `race` TEXT NOT NULL, PRIMARY KEY(`facial_hair`,`race`) )")
cur.execute("CREATE TABLE IF NOT EXISTS `npc_gender` ( `gender` TEXT NOT NULL UNIQUE, PRIMARY KEY(`gender`) )")
cur.execute("CREATE TABLE IF NOT EXISTS 'npc_hair_color' ( `hair_color` TEXT NOT NULL, `race` TEXT NOT NULL, PRIMARY KEY(`hair_color`,`race`) )")
cur.execute("CREATE TABLE IF NOT EXISTS `npc_hair_length` ( `hair_length` TEXT NOT NULL UNIQUE, PRIMARY KEY(`hair_length`) )")
cur.execute("CREATE TABLE IF NOT EXISTS `npc_hair_type` ( `hair_type` TEXT NOT NULL, `race` TEXT NOT NULL, PRIMARY KEY(`hair_type`,`race`) )")
cur.execute("CREATE TABLE IF NOT EXISTS `npc_height` ( `height` TEXT NOT NULL UNIQUE, PRIMARY KEY(`height`) )")
cur.execute("CREATE TABLE IF NOT EXISTS `npc_name` ( `name` TEXT NOT NULL, `race` TEXT NOT NULL, `gender` TEXT NOT NULL, PRIMARY KEY(`name`,`race`,`gender`) )")
cur.execute("CREATE TABLE IF NOT EXISTS `npc_surname` ( `surname` TEXT NOT NULL, `race` TEXT NOT NULL, PRIMARY KEY(`surname`,`race`) )")
cur.execute("CREATE TABLE IF NOT EXISTS `npc_nose` ( `nose` TEXT NOT NULL, `race` TEXT NOT NULL, PRIMARY KEY(`nose`,`race`) )")
cur.execute("CREATE TABLE IF NOT EXISTS `npc_personality_bond` ( `bond` TEXT NOT NULL UNIQUE, PRIMARY KEY(`bond`) )")
cur.execute("CREATE TABLE IF NOT EXISTS `npc_personality_flaw` ( `flaw` TEXT NOT NULL UNIQUE, PRIMARY KEY(`flaw`) )")
cur.execute("CREATE TABLE IF NOT EXISTS `npc_personality_ideal` ( `ideal` TEXT NOT NULL UNIQUE, PRIMARY KEY(`ideal`) )")
cur.execute("CREATE TABLE IF NOT EXISTS `npc_personality_trait` ( `trait` TEXT NOT NULL UNIQUE, PRIMARY KEY(`trait`) )")
cur.execute("CREATE TABLE IF NOT EXISTS `npc_plot_hook` ( `plot_hook` TEXT NOT NULL UNIQUE, PRIMARY KEY(`plot_hook`) )")
cur.execute("CREATE TABLE IF NOT EXISTS `npc_profession` ( `profession` TEXT NOT NULL UNIQUE, PRIMARY KEY(`profession`) )")
cur.execute("CREATE TABLE IF NOT EXISTS `npc_race` ( `race` TEXT NOT NULL UNIQUE, PRIMARY KEY(`race`) )")
cur.execute("CREATE TABLE IF NOT EXISTS `npc_scar` ( `scar` TEXT NOT NULL, `race` INTEGER NOT NULL, PRIMARY KEY(`scar`,`race`) )")
cur.execute("CREATE TABLE IF NOT EXISTS `npc_skin_tone` ( `skin_tone` TEXT NOT NULL, `race` TEXT NOT NULL, PRIMARY KEY(`skin_tone`,`race`) )")
cur.execute("CREATE TABLE IF NOT EXISTS `npc_smell` ( `smell` TEXT NOT NULL UNIQUE, PRIMARY KEY(`smell`) )")
cur.execute("CREATE TABLE IF NOT EXISTS `npc_voice_mannerism` ( `voice_mannerism` TEXT NOT NULL UNIQUE, PRIMARY KEY(`voice_mannerism`) )")
cur.execute("CREATE TABLE IF NOT EXISTS `npc_voice_pitch` ( `voice_pitch` TEXT NOT NULL UNIQUE, PRIMARY KEY(`voice_pitch`) )")
cur.execute("CREATE TABLE IF NOT EXISTS `npc_voice_speed` ( `voice_speed` TEXT NOT NULL UNIQUE, PRIMARY KEY(`voice_speed`) )")
cur.execute("CREATE TABLE IF NOT EXISTS `npc_voice_vocal_pattern` ( `vocal_pattern` TEXT NOT NULL UNIQUE, PRIMARY KEY(`vocal_pattern`) )")
cur.execute("CREATE TABLE IF NOT EXISTS `npc_voice_vocal_texture` ( `vocal_texture` TEXT NOT NULL UNIQUE, PRIMARY KEY(`vocal_texture`) )")
cur.execute("CREATE TABLE IF NOT EXISTS `npc_weight` ( `weight` TEXT NOT NULL UNIQUE, PRIMARY KEY(`weight`) )")
npc_db.commit()
npc_db.close()